﻿Public Class FrmDiscountCalculator


    Private Sub btnExit_Click(sender As System.Object, e As System.EventArgs) Handles btnExit.Click
        Me.Close()
    End Sub

    Private Sub btnClearSale_Click(sender As System.Object, e As System.EventArgs) Handles btnClearSale.Click
        txtPrice.Clear()
        txtQuantity.Clear()
        txtTitle.Clear()
        txtDiscountOutput.Clear()
        txtExtendedPriceOutput.Clear()
        txtFinalPriceOut.Clear()
    End Sub

    Private Sub btnCalculate_Click(sender As System.Object, e As System.EventArgs) Handles btnCalculate.Click
        Dim intQuantityBooks As Integer
        Dim decBookPrice As Decimal

        Dim decExtendedPrice As Decimal
        Dim decDiscount As Decimal
        Dim decFinalPrice As Decimal

        Const decDISCOUNT_PERCENT As Decimal = 0.15

        'Coverting the string input to numbers
        intQuantityBooks = CInt(txtQuantity.Text)
        decBookPrice = CDec(txtPrice.Text)

        'Calculating the discount and final price
        decExtendedPrice = intQuantityBooks * decBookPrice
        decDiscount = Decimal.Round(decDISCOUNT_PERCENT * decExtendedPrice, 2)
        decFinalPrice = decExtendedPrice - decDiscount

        'displaying the discount and the final price
        txtExtendedPriceOutput.Text = decExtendedPrice.ToString("C")
        txtDiscountOutput.Text = decDiscount.ToString("N")
        txtFinalPriceOut.Text = decFinalPrice.ToString("C")
    End Sub

    Private Sub btnPrint_Click(sender As System.Object, e As System.EventArgs) Handles btnPrint.Click
        PrintForm1.PrintAction = Printing.PrintAction.PrintToPreview
        PrintForm1.Print()
    End Sub
End Class
