﻿Public Class MessageFormatter

    Private Sub btnExit_Click(sender As System.Object, e As System.EventArgs) Handles btnExit.Click
        Me.Close()
    End Sub

    Private Sub btnClear_Click(sender As System.Object, e As System.EventArgs) Handles btnClear.Click
        txtName.Clear()
        txtMessage.Clear()
        lblMsgDisplay.Text = ""
        optBlack.Checked = False
        optBlue.Checked = False
        optGreen.Checked = False
        optRed.Checked = False
        chkLogoVisible.Checked = False
        pbxImage.Visible = False
    End Sub


    Private Sub btnDisplay_Click(sender As System.Object, e As System.EventArgs) Handles btnDisplay.Click
        lblMsgDisplay.Text = "Message By: " + txtName.Text & vbNewLine & vbNewLine _
            + txtMessage.Text
    End Sub

    Private Sub chkLogoVisible_CheckedChanged(sender As System.Object, e As System.EventArgs) Handles chkLogoVisible.CheckedChanged
        pbxImage.Visible = chkLogoVisible.Checked
    End Sub


    Private Sub optRed_CheckedChanged(sender As System.Object, e As System.EventArgs) Handles optRed.CheckedChanged
        lblMsgDisplay.ForeColor = Color.Red
    End Sub

    Private Sub optBlue_CheckedChanged(sender As System.Object, e As System.EventArgs) Handles optBlue.CheckedChanged
        lblMsgDisplay.ForeColor = Color.Blue
    End Sub

    Private Sub optGreen_CheckedChanged(sender As System.Object, e As System.EventArgs) Handles optGreen.CheckedChanged
        lblMsgDisplay.ForeColor = Color.Green
    End Sub

    Private Sub optBlack_CheckedChanged(sender As System.Object, e As System.EventArgs) Handles optBlack.CheckedChanged
        lblMsgDisplay.ForeColor = Color.Black
    End Sub
End Class
